--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Defn adds the formal argument types to the local environment and attempts to unify itself against the function table. If no function exists in the function table, defn adds itself.
- !ruby/struct:SM::Flow::P 
  body: Defn returns a function-typed sexp.
full_name: TypeChecker#process_defn
is_singleton: false
name: process_defn
params: (exp)
visibility: public
